SilentMove (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.walls

## Class SilentMove

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Copy
      - - org.apache.tools.ant.taskdefs.Move
        - - net.sf.antcontrib.walls.SilentMove

- All Implemented Interfaces:
    java.lang.Cloneable

      public class SilentMove
      extends org.apache.tools.ant.taskdefs.Move

  FILL IN JAVADOC HERE
  Author:
    Dean Hiller(dean@xsoftware.biz)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.Copy

      `completeDirMap, destDir, destFile, dirCopyMap, failonerror, file, fileCopyMap, filesets, fileUtils, filtering, flatten, forceOverwrite, includeEmpty, mapperElement, preserveLastModified, rcs, verbosity`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SilentMove()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `log(java.lang.String msg)`
    `void` | `log(java.lang.String msg, int level)`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.Move

      `deleteDir, deleteDir, doFileOperations, okToDelete, renameFile, setPerformGcOnFailedDelete, validateAttributes`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.Copy

      `add, add, addFileset, buildMap, buildMap, createFilterChain, createFilterSet, createMapper, doResourceOperations, execute, getEncoding, getFileUtils, getFilterChains, getFilterSets, getForce, getOutputEncoding, getPreserveLastModified, isEnableMultipleMapping, scan, scan, setEnableMultipleMappings, setEncoding, setFailOnError, setFile, setFiltering, setFlatten, setForce, setGranularity, setIncludeEmptyDirs, setOutputEncoding, setOverwrite, setPreserveLastModified, setPreserveLastModified, setQuiet, setTodir, setTofile, setVerbose, supportsNonFileResources`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SilentMove

          public SilentMove()

  - ### Method Detail

    - #### log

          public void log(java.lang.String msg)

      Overrides:
        `log` in class `org.apache.tools.ant.Task`

    - #### log

          public void log(java.lang.String msg,
                 int level)

      Overrides:
        `log` in class `org.apache.tools.ant.Task`